import request from '@/utils/request'

// 查询驾校课程分类列表
export function listDriveSchoolCourse(query) {
  return request({
    url: '/drivingSchool/system/driveSchoolCourse/list',
    method: 'get',
    params: query
  })
}

// 查询驾校课程分类详细
export function getDriveSchoolCourse(id) {
  return request({
    url: '/drivingSchool/system/driveSchoolCourse/' + id,
    method: 'get'
  })
}

// 新增驾校课程分类
export function addDriveSchoolCourse(data) {
  return request({
    url: '/drivingSchool/system/driveSchoolCourse',
    method: 'post',
    data: data
  })
}

// 修改驾校课程分类
export function updateDriveSchoolCourse(data) {
  return request({
    url: '/drivingSchool/system/driveSchoolCourse',
    method: 'put',
    data: data
  })
}

// 删除驾校课程分类
export function delDriveSchoolCourse(id) {
  return request({
    url: '/drivingSchool/system/driveSchoolCourse/' + id,
    method: 'delete'
  })
}
